//
window.addEvent('load', function() {
	// add the loaded class to <body> with small delay to avoid low framerate	
	setTimeout(function() {
		document.body.addClass('loaded');
	}, 500);
	// smooth anchor scrolling
	new SmoothScroll({
		'duration': 1000,
		'wheelStops': false
	}); 
	// style area
	if(document.id('gkStyleArea')){
		document.id('gkStyleArea').getElements('a').each(function(element,i){
			element.addEvent('click',function(e){
	            e.stop();
				changeStyle(i+1);
			});
		});
	}
	
	if(document.id('gkStyleSwitcher')){
		document.id('gkStyleSwitcher').getElements('a').each(function(element,i){
			element.addEvent('click',function(e){
	            e.stop();
				changeStyle(i+1);
			});
		});
	}
	
	setTimeout(function() {
		var elementsToAnimate = document.getElements('.gkAnimate');
		
		if(elementsToAnimate) {
			elementsToAnimate.each(function(el, i) {
				gkAddClass(el, 'active', i, 300);
			});
		}
	}, 350);
	
	// font-size switcher
	if(document.id('gkTools') && document.id('gkMainbody')) {
		var current_fs = 100;
		var content_fx = new Fx.Tween(document.id('gkMainbody'), { property: 'font-size', unit: '%', duration: 200 }).set(100);
		document.id('gkToolsInc').addEvent('click', function(e){ 
			e.stop(); 
			if(current_fs < 150) { 
				content_fx.start(current_fs + 10); 
				current_fs += 10; 
			} 
		});
		document.id('gkToolsReset').addEvent('click', function(e){ 
			e.stop(); 
			content_fx.start(100); 
			current_fs = 100; 
		});
		document.id('gkToolsDec').addEvent('click', function(e){ 
			e.stop(); 
			if(current_fs > 70) { 
				content_fx.start(current_fs - 10); 
				current_fs -= 10; 
			} 
		});
	}
	// K2 font-size switcher fix
	if(document.id('fontIncrease') && document.getElement('.itemIntroText')) {
		document.id('fontIncrease').addEvent('click', function() {
			document.getElement('.itemIntroText').set('class', 'itemIntroText largerFontSize');
		});
		
		document.id('fontDecrease').addEvent('click', function() {
			document.getElement('.itemIntroText').set('class', 'itemIntroText smallerFontSize');
		});
	}	
	
	if(document.id('gkTop') && !document.id('gkTop').hasClass('active')) {		
		window.addEvent('scroll', function() {
			var currentPosition = window.getScroll().y;
			
			if(currentPosition >= document.id('gkHeader').getSize().y && !document.id('gkTop').hasClass('active')) {
				document.id('gkTop').addClass('active');
			} else if(currentPosition < document.id('gkHeader').getSize().y && document.id('gkTop').hasClass('active')) {
				document.id('gkTop').removeClass('active');
			}
		});
	}
	// maps
	document.getElements('.gkMap').each(function(map, i) {
		map.getParent('.box').setStyle('overflow', 'hidden');
		
		var img = new Element('img', { 'src': map.getProperty('data-src'), 'class' : 'gkMap beforeload' });
		img.inject(map, 'after');
		
		var timer = setInterval(function() {
			if(img.complete) {
				clearInterval(timer);
				map.addClass('beforeload');
				setTimeout(function() {
					map.dispose();
					img.addClass('active');
				}, 350);
			}
		}, 500);
	});
	// overlays fix
	var overlays11 = document.getElements('.overlay-1x1');
	var overlays12 = document.getElements('.overlay-1x2');
	var overlays21 = document.getElements('.overlay-2x1');
	var overlays22 = document.getElements('.overlay-2x2');
	
	[overlays11, overlays12, overlays21, overlays22].each(function(collection, i) {
		collection.each(function(block, j) {
			var classToUse = 'overlay-';
			classToUse += (i == 0) ? '1x1' : ((i == 1) ? '1x2' : ((i == 2) ? '2x1' : '2x2'));
			block.setProperty('data-oldclass', classToUse);
			
			if(!block.hasClass('box')) {
				block.addEvent('mouseenter', function() {
					block.removeClass(block.getProperty('data-oldclass'));
				});
				
				block.addEvent('mouseleave', function() {
					block.addClass(block.getProperty('data-oldclass'));
				});
			} else {
				block.getElement('.content').addEvent('mouseenter', function() {
					block.removeClass(block.getProperty('data-oldclass'));
				});
				
				block.getElement('.content').addEvent('mouseleave', function() {
					block.addClass(block.getProperty('data-oldclass'));
				});
			}
		});
	});
	
	// title-right lines separation
	document.getElements('.title-right > .header').each(function(title, i) {
		if(title.getParent().hasClass('big-title')) {
			title.innerHTML = title.innerHTML.split('<br>').map(function(str) { 
				return '<span>' + str + '</span>'; 
			}).join('');
			
			title.getParent().getElement('.content').addEvent('mouseenter', function() {
				title.addClass('title-hover');
			});
			
			title.getParent().getElement('.content').addEvent('mouseleave', function() {
				title.removeClass('title-hover');
			});
		}
	});
});

window.addEvent('domready', function() {
	if (!Modernizr.svg) {
		document.getElements("img").each(function(item, i) {
			if(item.getProperty('data-fallback')) {
				item.setProperty("src", item.getProperty("data-fallback"));
			}
		});
	}
	
	gkReplaceImages();
	
	// header loading
	document.getElements('.gkHeaderBg').each(function(img, i) {
		var timer = setInterval(function() {
			if(img.complete) {
				clearInterval(timer);
				var bg = new Element('div', { 'class' : 'gkHeaderBg', 'style': "background-image: url(\'" + img.getProperty('src') + "\');" });
				bg.inject(img, 'before');
				img.dispose();
				
				setTimeout(function() {
					bg.addClass('active');
				}, 150);
			}
		}, 500);
	});
	
	// team overlays
	if(document.getElement('.gkTeam')) {
		var figures = document.getElements('.gkTeam figure');

		figures.each(function(figure, i) {
			if(
				figure.getProperty('data-fb') != null || 
				figure.getProperty('data-twitter') != null || 
				figure.getProperty('data-gplus') != null
			) {
				var overlay = new Element('div', {
					'class': 'gkTeamOverlay'
				});

				var htmloutput = '';
				var classcounter = 0;

				if(figure.getProperty('data-fb') != null) {
					htmloutput += '<a href="'+figure.getProperty('data-fb')+'" data-type="fb">Facebook</a>';
					classcounter++;
				}

				if(figure.getProperty('data-twitter') != null) {
					htmloutput += '<a href="'+figure.getProperty('data-twitter')+'" data-type="twitter">Twitter</a>';
					classcounter++;
				}

				if(figure.getProperty('data-gplus') != null) {
					htmloutput += '<a href="'+figure.getProperty('data-gplus')+'" data-type="gplus">Google+</a>';
					classcounter++;
				}

				overlay.set('html', htmloutput);
				overlay.addClass('gkIcons' + classcounter);

				overlay.inject(figure.getElement('img') , 'after');

				figure.addEvents({
					'touchend': function() {
						if(!figure.hasClass('hover')) {
							figure.fireEvent('mouseenter');
						} else {
							figure.fireEvent('mouseleave');
						}
					},
					'mouseenter': function() { 
						figure.addClass('hover'); 
						var linksAmount = figure.getElements('.gkTeamOverlay a').length;
						for(i = 0; i < linksAmount; i++) {
							gkAddClass(figure.getElement('.gkTeamOverlay').getElements('a')[i], 'active', i);	
						}
					},
					'mouseleave': function() { 
						figure.removeClass('hover'); 
						figure.getElements('.gkTeamOverlay a').removeClass('active');
					}
				});
			}
		});
	}
	
	// team pagination
	document.getElements('.gkTeam').each(function(item, i) {
		if(parseInt(item.getProperty('data-pages'), 10) > 1) {
			item.getParent().setStyle('position', 'relative');
			var current_page = 0;
			var amount_of_pages = item.getProperty('data-pages');
			var prevLink = new Element('a', { 'class': 'gkTeamPrev', 'href': '#', 'html': '<i class="gk-icon-arrow-left"></i>' });
			var nextLink = new Element('a', { 'class': 'gkTeamNext', 'href': '#', 'html': '<i class="gk-icon-arrow-right"></i>' });
			var wrap = item.getElement('div');
			var pages = wrap.getChildren('div');
			pages[0].addClass('active');
			
			prevLink.inject(item, 'after');
			nextLink.inject(item, 'after');
			
			prevLink.addEvent('click', function(e) {
				e.preventDefault();
				current_page = (current_page > 0) ? current_page - 1 : amount_of_pages - 1;
				wrap.setStyle('margin-left', (current_page * -100) + "%");
				pages.removeClass('active');
				pages[current_page].addClass('active');
			});
			
			nextLink.addEvent('click', function(e) {
				e.preventDefault();
				current_page = (current_page < amount_of_pages - 1) ? current_page + 1 : 0;
				wrap.setStyle('margin-left', (current_page * -100) + "%");
				pages.removeClass('active');
				pages[current_page].addClass('active');
			});
		}
	});
	
	// menu activation on scroll
	if(document.id('gkMainMenu')) {
		var menu_activators = {
			"links": [],
			"elements": [],
			"ranges": []
		};
		document.id('gkMainMenu').getElements('a[href^="#"]').filter(function(link, i) {
			var url = link.getProperty('href');
			var id = link.getProperty('href').substr(1);
			// check the URL and existing of the section
			if(url != '#' && document.id(id)) {
				menu_activators.links.push(id);
				menu_activators.elements.push(link);
			}
		});
		
		if(menu_activators.links.length > 1) {
			function updateRanges() {
				menu_activators.links.each(function(id, i) {
					menu_activators.ranges[i] = document.id(id).getPosition().y;
				});
			}
			
			updateRanges();
			
			setTimeout(function() { updateRanges(); }, 2000);
			setTimeout(function() { updateRanges(); }, 5000);
			setTimeout(function() { updateRanges(); }, 10000);
			setTimeout(function() { updateRanges(); }, 15000);
			
			window.addEvent('resize', function() {
				updateRanges();
			});
			
			var previous_range = 0;
			
			window.addEvent('scroll', function() {
				var top = window.getScroll().y;
				
				var current_ranges = menu_activators.ranges.filter(function(range) {
					return range <= top;
				});
				
				if(current_ranges) {
					var current_range = current_ranges[current_ranges.length - 1];
					
					
					if(current_range != previous_range) {
						previous_range = current_range;
						var current_active = document.id('gkMainMenu').getElement('.active');
						
						if(current_active) {
							current_active.removeClass('active');
							current_active.getParent().removeClass('active');
						}
						
						menu_activators.elements.each(function(menu_item) {
							menu_item.removeClass('active');
							menu_item.getParent().removeClass('active');
						});
						var new_active = menu_activators.elements[menu_activators.ranges.indexOf(previous_range)];
						if(new_active) {
							new_active.addClass('active');
							new_active.getParent().addClass('active');
						}
					}
				}
			});
		}
	}
});

//
function gkAddClass(element, cssclass, i, delay) {
	if(!delay) {
		delay = 150;
	}

	setTimeout(function() {
		element.addClass(cssclass);
	}, delay * i);
}

// function to replace images depending from styles
function gkReplaceImages() {
	// replacing images
	document.getElements('img[data-styles="true"]').each(function(img) {
		var style = 1;
		for(var i = 1; i <= 4; i++) {
			if(document.body.hasClass('style'+i)) {
				style = i;
			}
		}
		img.setAttribute('src', img.getAttribute('src').replace(/\/style[1-4]{1,1}\//, '/style' + style + '/'));
	});
}

// function to set cookie
function setCookie(c_name, value, expire) {
	var exdate=new Date();
	exdate.setDate(exdate.getDate()+expire);
	document.cookie=c_name+ "=" +escape(value) + ((expire==null) ? "" : ";expires=" + exdate.toUTCString());
}
// Function to change styles
function changeStyle(style){
	var file1 = $GK_TMPL_URL+'/css/style'+style+'.css';
	var file2 = $GK_TMPL_URL+'/css/typography/typography.style'+style+'.css';
	new Asset.css(file1);
	new Asset.css(file2);
	Cookie.write('gk_john_s_j25_style', style, { duration:365, path: '/' });
	
	for(var i = 1; i <= 4; i++) {
		document.getElement('body').removeClass('style' + i);
	}

	document.getElement('body').addClass('style' + style);
	gkReplaceImages();
}
